Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDBCRDIFFERENTATIONDEGREEvalues

    java.lang.Object
      java.lang.Enum<CDBCRDIFFERENTATIONDEGREEvalues>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDBCRDIFFERENTATIONDEGREEvalues

All Implemented Interfaces:
  Serializable, Comparable<CDBCRDIFFERENTATIONDEGREEvalues>

    public enum CDBCRDIFFERENTATIONDEGREEvalues

extends Enum<CDBCRDIFFERENTATIONDEGREEvalues>

Java class for CD-BCR-DIFFERENTATIONDEGREEvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-BCR-DIFFERENTATIONDEGREEvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="welldifferentiated"/>
         <enumeration value="moderatelydifferentiated"/>
         <enumeration value="poorlydifferentiated"/>
         <enumeration value="undifferentiatedanaplastic"/>
         <enumeration value="tcell"/>
         <enumeration value="bcell"/>
         <enumeration value="nullcell"/>
         <enumeration value="nkcell"/>
         <enumeration value="unknown"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`BCELL`
`MODERATELYDIFFERENTIATED`
`NKCELL`
`NULLCELL`
`POORLYDIFFERENTIATED`
`TCELL`
`UNDIFFERENTIATEDANAPLASTIC`
`UNKNOWN`
`WELLDIFFERENTIATED`

Method Summary
`static CDBCRDIFFERENTATIONDEGREEvalues` | `fromValue(String v)`
`String` | `value()`
`static CDBCRDIFFERENTATIONDEGREEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDBCRDIFFERENTATIONDEGREEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WELLDIFFERENTIATED

    public static final CDBCRDIFFERENTATIONDEGREEvalues WELLDIFFERENTIATED

### MODERATELYDIFFERENTIATED

    public static final CDBCRDIFFERENTATIONDEGREEvalues MODERATELYDIFFERENTIATED

### POORLYDIFFERENTIATED

    public static final CDBCRDIFFERENTATIONDEGREEvalues POORLYDIFFERENTIATED

### UNDIFFERENTIATEDANAPLASTIC

    public static final CDBCRDIFFERENTATIONDEGREEvalues UNDIFFERENTIATEDANAPLASTIC

### TCELL

    public static final CDBCRDIFFERENTATIONDEGREEvalues TCELL

### BCELL

    public static final CDBCRDIFFERENTATIONDEGREEvalues BCELL

### NULLCELL

    public static final CDBCRDIFFERENTATIONDEGREEvalues NULLCELL

### NKCELL

    public static final CDBCRDIFFERENTATIONDEGREEvalues NKCELL

### UNKNOWN

    public static final CDBCRDIFFERENTATIONDEGREEvalues UNKNOWN

Method Detail

### values

    public static CDBCRDIFFERENTATIONDEGREEvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDBCRDIFFERENTATIONDEGREEvalues c : CDBCRDIFFERENTATIONDEGREEvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDBCRDIFFERENTATIONDEGREEvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDBCRDIFFERENTATIONDEGREEvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Package PERSMIDWIFE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.